
QGIS Application - Bug report #17534

QGIS Master crashes after open a project 

2017-11-23 10:22 AM - Antonio Viscomi

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:master Regression?: Yes

Operating System: Windows 7 x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 25431

Description

Hi,

I open a project containing only 4 (polyline) layers of total size of about 5gb, 

well:

- I wait a bit for total loading/refresh of all layers;

- when loading/refresh terminates  qgis-dev-bin-g7.2.2.exe it reaches a usage of about 10-13gb of available 16gb ram on my pc;

- when loading/refresh terminates I close QGIS and It come out with a crash report (attached);

in QGIS 2.18 the same project is loading faster and ram usage is about 1-3gb without troubles or crash

best regards

History

#1 - 2017-11-24 08:34 AM - Antonio Viscomi

- File crash_pdb.txt added

I've installed qgis-dev-pdb then I replied the sequence described above and now I attach the new crash report

#2 - 2017-11-24 08:37 AM - Antonio Viscomi

- File crash_pdb1.txt added

and this is the second crash report (2nd dialog of crash reports appear for the same crash)

#3 - 2017-11-24 08:44 AM - Antonio Viscomi

- File crash_pdb6.txt added

- File crash_pdb3.txt added

- File crash_pdb4.txt added

- File crash_pdb2.txt added

- File crash_pdb5.txt added

actually there are are 7 crash reports (for the same single crash...) :(

#4 - 2017-11-24 01:51 PM - Giovanni Manghi
- Category changed from Processing/Core to Project Loading/Saving

- Assignee deleted (Victor Olaya)

- Status changed from Open to Feedback

Any chance you can add a link to allow us download your project and data?

#5 - 2017-11-24 03:13 PM - Antonio Viscomi

Hi,

I created the following link

https://www.dropbox.com/s/ysuwguvp4xjltk8/Nuova%20cartella%20%282%29.7z?dl=0

all data .7z are about 1.05gb

greetings

#6 - 2017-11-24 04:41 PM - Giovanni Manghi

- Status changed from Feedback to Open

#7 - 2018-02-13 11:39 AM - Mathieu Pellerin - nIRV

I've downloaded this project and using a 24-hour old QGIS master build (linux), it opens without crashing.

Antonio, do you still see a crash on windows using a recent build?

#8 - 2018-02-13 02:10 PM - Antonio Viscomi

Hi Mathieu, 

No in recent build this issues it seems solved, i don't see this crashes...

#9 - 2018-02-13 08:05 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Files

Crash.txt 1.15 KB 2017-11-23 Antonio Viscomi

crash_pdb.txt 1.43 KB 2017-11-24 Antonio Viscomi

crash_pdb1.txt 1.45 KB 2017-11-24 Antonio Viscomi

crash_pdb2.txt 1.34 KB 2017-11-24 Antonio Viscomi

crash_pdb3.txt 1.45 KB 2017-11-24 Antonio Viscomi

crash_pdb4.txt 1.56 KB 2017-11-24 Antonio Viscomi

crash_pdb5.txt 1.45 KB 2017-11-24 Antonio Viscomi

crash_pdb6.txt 1.56 KB 2017-11-24 Antonio Viscomi
